namespace UIShare.UIViewModel
{
    public class CanMessageShowVM : BindableBase
    {
        // 字段声明
        private byte _通道;
        private int _报文ID;
        private double _时间戳;
        private byte _长度;
        private bool _FD;
        private bool _IsTx;
        private byte[] _Bytes = new byte[64];
        private string _报文 = "[]";

        // 通道属性
        public byte 通道
        {
            get { return _通道; }
            set { SetProperty(ref _通道, value); }
        }

        // 报文ID属性
        public int 报文ID
        {
            get { return _报文ID; }
            set { SetProperty(ref _报文ID, value); }
        }

        // 时间戳属性
        public double 时间戳
        {
            get { return _时间戳; }
            set { SetProperty(ref _时间戳, value); }
        }

        // 长度属性
        public byte 长度
        {
            get { return _长度; }
            set { SetProperty(ref _长度, value); }
        }

        // 是否FD帧
        public bool FD
        {
            get { return _FD; }
            set { SetProperty(ref _FD, value); }
        }

        // 是否发送帧
        public bool IsTx
        {
            get { return _IsTx; }
            set { SetProperty(ref _IsTx, value); }
        }

        // 原始字节数据
        public byte[] Bytes
        {
            get { return _Bytes; }
            set { SetProperty(ref _Bytes, value); }
        }

        // 报文十六进制字符串
        public string 报文
        {
            get { return _报文; }
            set { SetProperty(ref _报文, value); }
        }
    }
}
